<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.plan.PlanstopMapper">

    <resultMap id="planstopMap" type="com.tofly.pojo.plan.Planstop">
        <id property="id" column="ID"/>
        <result property="isSubmit" column="IS_SUBMIT"/>
        <result property="submitTime" column="SUBMIT_TIME"/>
        <result property="submitUser" column="SUBMIT_USER"/>
        <result property="applyUser" column="APPLY_USER"/>
        <result property="planId" column="PLAN_ID"/>
        <result property="applyStarttime" column="APPLY_STARTTIME"/>
        <result property="applyEndtime" column="APPLY_ENDTIME"/>
        <result property="applyNote" column="APPLY_NOTE"/>
        <result property="isread" column="ISREAD"/>
        <result property="auditResult" column="AUDIT_RESULT"/>
        <result property="auditNote" column="AUDIT_NOTE"/>
        <result property="auditUser" column="AUDIT_USER"/>
        <result property="auditTime" column="AUDIT_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <association property="isSubmitName" column="IS_SUBMIT" select="com.tofly.gpsboot.mapper.plan.PlanmouthMapper.getIssubmitName"/>
        <association property="submitUserName" column="SUBMIT_USER" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"/>
        <association property="auditResultName" column="AUDIT_RESULT" select="com.tofly.gpsboot.mapper.comm.AuditMapper.getAuditStateName"/>
        <association property="auditUserName" column="AUDIT_USER" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"/>
        <association property="createUserName" column="CREATE_USER" select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"/>
    </resultMap>


</mapper>
